<?php
/**
 * The template for displaying 404 pages (not found)
 *
 */
get_header(); ?>
<?php
$content_404 = isset( $GLOBALS['kable']['optn_404_content'] ) ? $GLOBALS['kable']['optn_404_content'] : sprintf(wp_kses(__('<h1>%s<span class="c_p">%s</span>%s</h1><h2>%s</h2><p>%s</p>', 'kable'), 
array(
    'h1' => array('class' => array()),
    'span' => array('class' => array()),
    'h2' => array('class' => array()),
    'p' => array('class' => array()),
    'br'
)), '4','0','4','PAGE NOT FOUND','Sorry, the page you are looking for is not available. <br />  Maybe you want to perform a search?');
?>
<div id="primary" class="content-area">
    <main id="main" class="error-page">            
        <section class="pa_center-lg t_c mt40-md">                
            <div class="error-page-text">
                <?php echo do_shortcode( $content_404); ?>
                <div class="search-no-results">
                    <div class="no-results mt40 mb40">
                        <div class="not-found">
                            <?php get_search_form(); ?>
                        </div>
                    </div>
                </div>
            </div><!-- End .error-page-text -->                
        </section><!-- End .row -->            
    </main><!-- End .error-page -->
</div>        
<?php get_footer(); ?>
