<?php
/**
 * The template part for displaying an Author biography
 */
?>

<div class="entry-author d_flex align-items-center">
    <figure class="mg0">
            <?php
            /**
             * Filter the Twenty Sixteen author bio avatar size.		 
             *
             * @param int $size The avatar height and width size in pixels.
             */
            $author_bio_avatar_size = apply_filters( 'kable_author_bio_avatar_size', 120 );

            echo get_avatar( get_the_author_meta( 'user_email' ), $author_bio_avatar_size );
            ?>                
    </figure><!-- .author-avatar -->
    <div class="author-content">
            <h6>
                <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
                    <?php echo get_the_author(); ?> 
                </a>
            </h6>
            <div class="author-bio">
                    <?php the_author_meta( 'description' ); ?>			
            </div><!-- .author-bio -->            
    </div><!-- .author-description -->
</div><!-- .author-info -->



