<?php
/*
 * @author themepiko
 */

$footer_parallax = isset($GLOBALS['kable']['footer_parallax']) ? $GLOBALS['kable']['footer_parallax'] : '';
$parallax_class = 'layout2';
if ($footer_parallax == 1) {
    $parallax_class = 'footer-parallax';
}
?>

<footer id="colophon" class="site-footer <?php echo esc_attr($parallax_class); ?>">
    <div class="footer-perallx-wrap">
        <div class="f-inner">
            <?php kable_footer_sidebar_three(); ?>
            <?php kable_footer_sidebar_two(); ?>
            <?php kable_footer_sidebar_one(); ?>
        </div>
        <?php get_template_part('template-parts/footer/footer', 'bottom'); ?>
    </div>
    <a class="scroll-top" href="#top" title="<?php esc_attr_e('Scroll top', 'kable'); ?>"><span class="la la-arrow-up"></span></a>
</footer>