<?php
/**
 * Template part for displaying header layout.
 * 
 * @author themepiko
 */
$prefix = 'kable_';
$menu_width =  get_post_meta(get_the_ID(), $prefix . 'manu_width',true);
if (!isset($menu_width) || $menu_width == '-1' || $menu_width == '') {
    $menu_width = isset( $GLOBALS['kable']['full_width_menu'] ) ? $GLOBALS['kable']['full_width_menu'] : 'container-fluid';
}
$topbar =  get_post_meta(get_the_ID(), $prefix . 'enable_top_bar',true);
if (!isset($topbar) || $topbar == '-1' || $topbar == 0) {
   $topbar = kable_get_option_data('enable_top_bar', false); 
}
$menu_category = kable_get_option_data('enable_main_menu_category', 0);

?>
<header id="header" class="site-header">
    <?php if($topbar){ kable_get_topbar(); } ?>
    <div class="header-main search-form">
        <div class="<?php echo esc_attr($menu_width); ?>">
            <div class="d_flex align-items-center justify-content-between columns">
                <div class="d_flex">
                    <?php kable_get_menu_category_wrap();?>
                    <?php kable_get_brand_logo(); ?>                                
                </div>
                <?php if(function_exists('kable_is_mobile') && !kable_is_mobile() ): ?>
                <div id="header-search-form-1" data-togole="hidden"><?php kable_get_template('search-form/search','form');?></div>   
                <?php endif; ?>
                <div class="header-actions">
                <?php kable_get_header_action() ;?>
                </div>                          				                         
            </div>                        
        </div>                    
    </div>
</header>
