<?php

class pikoworks_theme_Admin {

    public function __construct() {
        add_action( 'admin_init', array( $this, 'admin_init' ) );
        add_action( 'wp_before_admin_bar_render', array( $this, 'add_wp_toolbar_menu' ) );
        add_action( 'admin_menu', array( $this, 'admin_menu' ) );
        // add_action( 'after_switch_theme', array( $this, 'activation_redirect' ) );
    }

    public function add_wp_toolbar_menu() {

        if ( current_user_can( 'edit_theme_options' ) ) {

            $pikoworks_parent_menu_title = '<span class="ab-icon">
            <svg id="themepiko-icon" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32"><path class="st0" d="M26.1 32H5.9C2.6 32 0 29.4 0 26.1V5.9C0 2.6 2.6 0 5.9 0h20.2C29.4 0 32 2.6 32 5.9v20.3c0 3.2-2.6 5.8-5.9 5.8z"/><circle class="st1" cx="17.3" cy="4.5" r="1.1"/><circle class="st1" cx="16.6" cy="7.5" r="1"/><circle class="st1" cx="16.3" cy="10.6" r=".7"/><circle class="st1" cx="19.4" cy="11.3" r=".5"/><circle class="st1" cx="19.8" cy="8.6" r=".8"/><circle class="st1" cx="21.7" cy="10" r=".6"/><circle class="st1" cx="22.2" cy="11.8" r=".4"/><circle class="st1" cx="24.5" cy="11.9" r=".4"/><circle class="st1" cx="26.7" cy="11.9" r=".3"/><circle class="st1" cx="28.3" cy="10.8" r=".3"/><circle class="st1" cx="28.6" cy="12.7" r=".3"/><circle class="st1" cx="26.2" cy="9.8" r=".5"/><circle class="st1" cx="28" cy="8.6" r=".4"/><circle class="st1" cx="20.5" cy="5.6" r=".9"/><circle class="st1" cx="22.8" cy="7.7" r=".6"/><circle class="st1" cx="24.1" cy="9.8" r=".5"/><circle class="st1" cx="27" cy="6.1" r=".5"/><circle class="st1" cx="19.8" cy="2.2" r="1.1"/><circle class="st1" cx="23" cy="1.8" r=".8"/><circle class="st1" cx="23" cy="4.8" r=".8"/><circle class="st1" cx="25.7" cy="4" r=".6"/><circle class="st1" cx="25" cy="7" r=".6"/><circle class="st1" cx="13.1" cy="4" r="1.2"/><path class="st1" d="M25.4 27.5c-.9 0-1.7-.8-1.7-1.7 0-.9.8-1.7 1.7-1.7.2 0 .4 0 .6.1-.3-.5-.7-.9-1.1-1.4-.3.1-.6.2-.9.2-.8 0-1.5-.7-1.5-1.5 0-.2 0-.3.1-.5-1.9-1.3-4.3-2.7-6.9-4.6-4.8-3.4-4.5-4.9-1.8-5.1 0 0-1.2.1-1-.9.3-1.3.7-1.9.8-2.5-.1.5-.6.9-1.1.9-.6 0-1.2-.5-1.2-1.2 0-.6.5-1.2 1.2-1.2.4 0 .8.2 1 .5-.6-1.4-1.8-2.2-1.3-3.6.6-1.8 6 .4 4.9-2.8-.5-1.5-3.2 0-4.4.5-8.7 3.7-13 16-6.3 25.1 2.3 3.1 5.3 4.8 8.3 5.6-.1-.1-.1-.3-.1-.5 0-.7.6-1.3 1.3-1.3s1.3.6 1.3 1.3c0 .3-.1.6-.3.8.6.1 1.2.1 1.8.1-.1-.2-.2-.4-.2-.7 0-.8.6-1.4 1.4-1.4.8 0 1.4.6 1.4 1.4 0 .1 0 .3-.1.4 2.4-.5 4.3-1.7 4.9-3.1.2-.6.4-1.1.4-1.6-.4.2-.8.4-1.2.4zM15.9.1c.6 0 1.1.5 1.1 1.1 0 .6-.5 1.1-1.1 1.1-.6 0-1.1-.5-1.1-1.1 0-.6.5-1.1 1.1-1.1zm.3 17c.3 0 .5.2.5.5s-.2.5-.5.5-.5-.2-.5-.5c0-.2.2-.5.5-.5zm.3 1.9c.4 0 .8.3.8.8s-.3.8-.8.8-.8-.3-.8-.8.3-.8.8-.8zm-2.8.9c.3 0 .5.2.5.5s-.2.5-.5.5-.5-.2-.5-.5c-.1-.3.2-.5.5-.5zm.2 1.8c.4 0 .8.3.8.8s-.3.8-.8.8-.8-.3-.8-.8.4-.8.8-.8zm-.6 3.5c0-.5.4-1 1-1 .5 0 1 .4 1 1s-.4 1-1 1-1-.4-1-1zm1.7 3.9c-.6 0-1.1-.5-1.1-1.1 0-.6.5-1.1 1.1-1.1.6 0 1.1.5 1.1 1.1-.1.7-.5 1.1-1.1 1.1zm.8-6.6c0-.5.4-1 1-1 .5 0 1 .4 1 1 0 .5-.4 1-1 1s-1-.5-1-1zm.7 2.8c0-.6.5-1.1 1.1-1.1s1.1.5 1.1 1.1-.5 1.1-1.1 1.1-1.1-.5-1.1-1.1zm2 4.4c-.7 0-1.3-.6-1.3-1.3 0-.7.6-1.3 1.3-1.3.7 0 1.3.6 1.3 1.3 0 .8-.6 1.3-1.3 1.3zm.7-8c0-.5.4-.9.9-.9s.9.4.9.9-.4.9-.9.9-.9-.4-.9-.9zm.7 3.3c0-.7.5-1.2 1.2-1.2s1.2.5 1.2 1.2-.5 1.2-1.2 1.2c-.6 0-1.2-.6-1.2-1.2zm2.6 5.3c-.8 0-1.5-.7-1.5-1.5s.7-1.5 1.5-1.5 1.5.7 1.5 1.5-.7 1.5-1.5 1.5z"/><circle class="st1" cx="13.5" cy="10.6" r=".8"/></svg>
            </span><span class="ab-label">Kable</span>';

            $this->add_wp_toolbar_menu_item( $pikoworks_parent_menu_title, false, admin_url( 'admin.php?page=pikoworks' ), array( 'class' => 'pikoworks-menu' ), 'pikoworks' );
            $this->add_wp_toolbar_menu_item( esc_html__( 'System Status', 'pikoworks_core' ), 'pikoworks', admin_url( 'admin.php?page=pikoworks-system' ) );
            $this->add_wp_toolbar_menu_item( esc_html__( 'Demo Import', 'pikoworks_core' ), 'pikoworks', admin_url( 'admin.php?page=pikoworks-demo' ) );
            if (class_exists('Redux')) {
                $this->add_wp_toolbar_menu_item( esc_html__( 'Theme Options', 'pikoworks_core' ), 'pikoworks', admin_url( 'admin.php?page=theme_options' ) );
            }
            $this->add_wp_toolbar_menu_item( esc_html__( 'Currency Switcher', 'pikoworks_core' ), 'pikoworks', admin_url( 'admin.php?page=pikoworks_currency' ) );
        }
    }

    public function add_wp_toolbar_menu_item( $title, $parent = false, $href = '', $custom_meta = array(), $custom_id = '' ) {

        global $wp_admin_bar;

        if ( current_user_can( 'edit_theme_options' ) ) {
            if ( ! is_super_admin() || ! is_admin_bar_showing() ) {
                return;
            }

            // Set custom ID
            if ( $custom_id ) {
                $id = $custom_id;
            } else { // Generate ID based on $title
                $id = strtolower( str_replace( ' ', '-', $title ) );
            }

            // links from the current host will open in the current window
            $meta = strpos( $href, site_url() ) !== false ? array() : array( 'target' => '_blank' ); // external links open in new tab/window
            $meta = array_merge( $meta, $custom_meta );

            $wp_admin_bar->add_node( array(
                'parent' => $parent,
                'id'     => $id,
                'title'  => $title,
                'href'   => $href,
                'meta'   => $meta,
            ) );
        }

    }

    public function activation_redirect() {
        if ( current_user_can( 'edit_theme_options' ) ) {
            header( 'Location:' . admin_url() . 'admin.php?page=pikoworks' );
        }
    }

    public function admin_init() {

        if ( current_user_can( 'edit_theme_options' ) ) {
            if ( isset( $_GET['pikoworks-deactivate'] ) && 'deactivate-plugin' == $_GET['pikoworks-deactivate'] ) {
                check_admin_referer( 'pikoworks-deactivate', 'pikoworks-deactivate-nonce' );

                $plugins = TGM_Plugin_Activation::$instance->plugins;

                foreach ( $plugins as $plugin ) {
                    if ( $plugin['slug'] == $_GET['plugin'] ) {
                        deactivate_plugins( $plugin['file_path'] );
                    }
                }
            } if ( isset( $_GET['pikoworks-activate'] ) && 'activate-plugin' == $_GET['pikoworks-activate'] ) {
                check_admin_referer( 'pikoworks-activate', 'pikoworks-activate-nonce' );

                $plugins = TGM_Plugin_Activation::$instance->plugins;

                foreach ( $plugins as $plugin ) {
                    if ( isset( $_GET['plugin'] ) && $plugin['slug'] == $_GET['plugin'] ) {
                        activate_plugin( $plugin['file_path'] );

                        wp_redirect( admin_url( 'admin.php?page=pikoworks-plugins' ) );
                        exit;
                    }
                }
            }
        }
    }

    public function admin_menu(){

        if ( current_user_can( 'edit_theme_options' ) ) {
            $welcome_screen = add_menu_page( 'Kable', 'Kable', 'administrator', 'pikoworks', array( $this, 'welcome_screen' ), 'dashicons-theme-logo', 59 );
            $welcome       = add_submenu_page( 'pikoworks', esc_html__( 'Welcome', 'pikoworks_core' ), esc_html__( 'Welcome', 'pikoworks_core' ), 'administrator', 'pikoworks', array( $this, 'welcome_screen' ) );
            $system_status = add_submenu_page( 'pikoworks', esc_html__( 'System Status', 'pikoworks_core' ), esc_html__( 'System Status', 'pikoworks_core' ), 'administrator', 'pikoworks-system', array( $this, 'system_tab' ) );
            if(!class_exists('Pikoworks_Dummy_Is_Active')){
                $demo = add_submenu_page( 'pikoworks', esc_html__( 'Demo Import', 'pikoworks_core' ), esc_html__( 'Demo Import', 'pikoworks_core' ), 'administrator', 'pikoworks-demo', array( $this, 'demo_tab' ) );
            }
        }
    }

    public function welcome_screen() {
        require_once( PIKOWORKSCORE_LIBS . '/admin/admin_pages/welcome.php' );
    }
    public function system_tab() {
        require_once( PIKOWORKSCORE_LIBS . '/admin/admin_pages/system-status.php' );
    }
    public function demo_tab() {
        require_once( PIKOWORKSCORE_LIBS . '/admin/admin_pages/demo.php' );
    }
    public function let_to_num( $size ) {
        $l   = substr( $size, -1 );
        $ret = substr( $size, 0, -1 );
        switch ( strtoupper( $l ) ) {
            case 'P':
                $ret *= 1024;
            case 'T':
                $ret *= 1024;
            case 'G':
                $ret *= 1024;
            case 'M':
                $ret *= 1024;
            case 'K':
                $ret *= 1024;
        }
        return $ret;
    }
}

new pikoworks_theme_Admin();

require_once(PIKOWORKSCORE_LIBS . '/admin/theme_options.php');


