<?php 

function pikowroks_custom_post_type_share(){
    global $kable;
    $social_share = isset($kable['blog_single_social_share_page']) ? $kable['blog_single_social_share_page']: array('facebook', 'gplus', 'twitter', 'pinterest', 'linkedin');
         if ( !empty( $social_share ) ): ?>
                <ul class="social-icons xs ml-auto-sm d_flex pt15-sm">
                    <?php if ( in_array( 'facebook', $social_share ) ): ?>                    
                        <li class="social-icon fa fa-facebook">
                        <a class="shear-icon-wrap" href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink(); ?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=540,width=600');return false;">
                           <span class="text"><?php echo sprintf( esc_html__( 'Share "%s" on Facebook', 'pikoworks_custom_post' ), get_the_title() ); ?></span>
                        </a>
                        </li>        
                    <?php endif; ?>
                    <?php if ( in_array( 'twitter', $social_share ) ): ?>
                    <li class="social-icon fa fa-twitter">
                        <a class="shear-icon-wrap" href="https://twitter.com/home?status=<?php the_permalink(); ?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=540,width=600');return false;">
                           <span class="text"><?php echo sprintf( esc_html__( 'Post status "%s" on Twitter', 'pikoworks_custom_post' ), get_the_title() ); ?></span>
                        </a>
                    </li>    
                    <?php endif; ?>
                    <?php if ( in_array( 'gplus', $social_share ) ): ?>
                    <li class="social-icon fa fa-google-plus">
                        <a class="shear-icon-wrap" href="https://plus.google.com/share?url=<?php the_permalink(); ?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=540,width=600');return false;">
                            <span class="text"><?php echo sprintf( esc_html__( 'Share "%s" on Google Plus', 'pikoworks_custom_post' ), get_the_title() ); ?></span>
                        </a>
                    </li>    
                    <?php endif; ?>
                    <?php if ( in_array( 'pinterest', $social_share ) ): ?>
                    <li class="social-icon fa fa-pinterest">
                        <a class="shear-icon-wrap" href="https://pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>&amp;description=<?php echo urlencode( get_the_excerpt() ); ?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=540,width=600');return false;">
                            <span class="text"><?php echo sprintf( esc_html__( 'Pin "%s" on Pinterest', 'pikoworks_custom_post' ), get_the_title() ); ?></span>
                        </a>
                    </li>    
                    <?php endif; ?>
                    <?php if ( in_array( 'linkedin', $social_share ) ): ?>
                        <li class="social-icon fa fa-linkedin">
                        <a class="shear-icon-wrap" href="https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php the_permalink(); ?>&amp;title=<?php echo urlencode( get_the_title() ); ?>&amp;summary=<?php echo urlencode( get_the_excerpt() ); ?>&amp;source=<?php echo urlencode( get_bloginfo( 'name' ) ); ?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=540,width=600');return false;">
                            <span class="text"><?php echo sprintf( esc_html__( 'Share "%s" on LinkedIn', 'pikoworks_custom_post' ), get_the_title() ); ?></span>
                        </a>
                        </li>
                    <?php endif; ?>
                    <?php if ( in_array( 'tumbr', $social_share ) ): ?>
                        <li class="social-icon fa fa-tumblr">
                        <a class="shear-icon-wrap" href="//tumblr.com/widgets/share/tool?canonicalUrl=<?php esc_url( the_permalink() ); ?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=540,width=600');return false;">
                            <span class="text"><?php echo sprintf( esc_html__( 'Share "%s" on Tumbr', 'pikoworks_custom_post' ), get_the_title() ); ?></span>
                        </a>                      
                        </li>
                    <?php endif; ?>
                </ul>
        <?php endif; // End if ( !empty( $socials_shared ) )     
    }

    function pikowroks_custom_post_type_share_wrap(){
        global $kable;
        $social_share = isset($kable['blog_single_social_share']) ? $kable['blog_single_social_share']: true;
        if($social_share == true):
        ?>
        <div class="d_flex align-items-center ml-auto-sm mt20-sm">
            <span class="meta-title"><?php echo esc_html__( 'Share:', 'pikoworks_custom_post' ) ?></span>
            <?php pikowroks_custom_post_type_share();  ?>
        </div> 
        <?php
        endif;
    }

    add_action('kable_post_share', 'pikowroks_custom_post_type_share_wrap');



    function pikowroks_custom_post_type_product_share() {
        global $kable;
        $social_share = isset($kable['single_product_share_socials']) ? $kable['single_product_share_socials'] : array('facebook', 'gplus', 'twitter', 'pinterest', 'linkedin');
    
        if (!empty($social_share)):
            ?>
            <?php if (in_array('facebook', $social_share)): ?>
                <li class="social-icon fa fa-facebook">
                    <a class="shear-icon-wrap" href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink(); ?>" target="_blank">
                        <?php esc_html_e('Facebook', 'pikoworks_custom_post'); ?>
                        <span class="text"><?php echo sprintf(esc_html__('Share "%s" on Facebook', 'pikoworks_custom_post'), get_the_title()); ?></span>
                    </a>
                </li>
            <?php endif; ?>
            <?php if (in_array('twitter', $social_share)): ?>
                <li class="social-icon fa fa-twitter">
                    <a class="shear-icon-wrap" href="https://twitter.com/home?status=<?php the_permalink(); ?>" target="_blank">
                        <?php esc_html_e('Twitter', 'pikoworks_custom_post'); ?>
                        <span class="text"><?php echo sprintf(esc_html__('Post status "%s" on Twitter', 'pikoworks_custom_post'), get_the_title()); ?></span>
                    </a>
                </li>
            <?php endif; ?>
            <?php if (in_array('gplus', $social_share)): ?>
                <li class="social-icon fa fa-google-plus">
                    <a class="shear-icon-wrap" href="https://plus.google.com/share?url=<?php the_permalink(); ?>" target="_blank">
                        <?php esc_html_e('Google Plus', 'pikoworks_custom_post'); ?>
                        <span class="text"><?php echo sprintf(esc_html__('Share "%s" on Google Plus', 'pikoworks_custom_post'), get_the_title()); ?></span>
                    </a>
                </li>
            <?php endif; ?>
            <?php if (in_array('linkedin', $social_share)): ?>
                <li class="social-icon fa fa-linkedin">
                    <a class="shear-icon-wrap" href="https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php the_permalink(); ?>&amp;title=<?php echo urlencode(get_the_title()); ?>&amp;summary=<?php echo urlencode(get_the_excerpt()); ?>&amp;source=<?php echo urlencode(get_bloginfo('name')); ?>" target="_blank">
                        <?php esc_html_e('Linkedin', 'pikoworks_custom_post'); ?>
                        <span class="text"><?php echo sprintf(esc_html__('Share "%s" on LinkedIn', 'pikoworks_custom_post'), get_the_title()); ?></span>
                    </a>
                </li>
            <?php endif; ?>
            <?php if (in_array('pinterest', $social_share)): ?>
                <li class="social-icon fa fa-pinterest">
                    <a class="shear-icon-wrap" href="https://pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>&amp;description=<?php echo urlencode(get_the_excerpt()); ?>" target="_blank">
                        <?php esc_html_e('Pinterest', 'pikoworks_custom_post'); ?>
                        <span class="text"><?php echo sprintf(esc_html__('Pin "%s" on Pinterest', 'pikoworks_custom_post'), get_the_title()); ?></span>
                    </a>
                </li>
            <?php endif; ?>
            <?php if (in_array('email', $social_share)): ?>
                <li class="social-icon fa fa-envelope">
                    <a class="shear-icon-wrap" href="mailto:?subject=<?php echo get_the_title(); ?>&amp;body=<?php echo urlencode(get_the_excerpt()); ?>&amp;title=<?php echo get_the_title(); ?>" title="<?php _e('Email', 'pikoworks_custom_post') ?>">
                        <?php esc_html_e('Email', 'pikoworks_custom_post'); ?>
                        <span class="text"><?php echo sprintf(esc_html__('Share "%s" on Email', 'pikoworks_custom_post'), get_the_title()); ?></span>
                    </a>
                </li>
            <?php endif; ?>
    
            <?php
        endif; // End if ( !empty( $socials_shared ) )
    }
    
    function pikowroks_custom_post_type_product_single_share() {
        global $kable;
        $enable_share = isset($kable['enable_product_single_post_share']) ? $kable['enable_product_single_post_share']: true;
        if ($enable_share) {
            echo'<ul class="social-icons">';
            pikowroks_custom_post_type_product_share();
            echo'</ul>';
        }
    }
    add_action('woocommerce_single_product_summary', 'pikowroks_custom_post_type_product_single_share', 42);
