<?php
/**
 * 
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="row gutters56 align-items-center portfolio-details">
        <?php if (has_excerpt()) : ?>
            <div class="col-12">
                <blockquote class="wp-block-quote">
                    <?php the_excerpt(); ?>
                </blockquote>
            </div>
        <?php endif; ?>

        <div class="col-12 col-lg-6">
            <?php the_content() ?>

            <div class="d_flex mt55 mt35-md">
            <div class="category"><?php echo wp_kses_post($cat_single) ?></div>
            <?php if($social):?>
            <ul class="social-icons xs ml-auto-sm d_flex pt15-sm mt5">
                <li class="social-icon fa fa-facebook">
                    <a class="shear-icon-wrap" href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink(); ?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=540,width=600');return false;">
                        <span class="text"><?php echo sprintf(esc_html__('Share "%s" on Facebook', 'pikoworks_custom_post'), get_the_title()); ?></span>
                    </a>
                </li>
                <li class="social-icon fa fa-twitter">
                    <a class="shear-icon-wrap" href="https://twitter.com/home?status=<?php the_permalink(); ?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=540,width=600');return false;">
                       <span class="text"><?php echo sprintf( esc_html__( 'Post status "%s" on Twitter', 'pikoworks_custom_post' ), get_the_title() ); ?></span>
                    </a>
                </li>
                <li class="social-icon fa fa-google-plus">
                    <a class="shear-icon-wrap" href="https://plus.google.com/share?url=<?php the_permalink(); ?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=540,width=600');return false;">
                        <span class="text"><?php echo sprintf( esc_html__( 'Share "%s" on Google Plus', 'pikoworks_custom_post' ), get_the_title() ); ?></span>
                    </a>
                </li>
                <li class="social-icon fa fa-pinterest">
                    <a class="shear-icon-wrap" href="https://pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>&amp;description=<?php echo urlencode( get_the_excerpt() ); ?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=540,width=600');return false;">
                        <span class="text"><?php echo sprintf( esc_html__( 'Pin "%s" on Pinterest', 'pikoworks_custom_post' ), get_the_title() ); ?></span>
                    </a>
                </li>
                <li class="social-icon fa fa-linkedin">
                    <a class="shear-icon-wrap" href="https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php the_permalink(); ?>&amp;title=<?php echo urlencode( get_the_title() ); ?>&amp;summary=<?php echo urlencode( get_the_excerpt() ); ?>&amp;source=<?php echo urlencode( get_bloginfo( 'name' ) ); ?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=540,width=600');return false;">
                        <span class="text"><?php echo sprintf( esc_html__( 'Share "%s" on LinkedIn', 'pikoworks_custom_post' ), get_the_title() ); ?></span>
                    </a>
                    </li>
                    <li class="social-icon fa fa-tumblr">
                    <a class="shear-icon-wrap" href="//tumblr.com/widgets/share/tool?canonicalUrl=<?php esc_url( the_permalink() ); ?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=540,width=600');return false;">
                        <span class="text"><?php echo sprintf( esc_html__( 'Share "%s" on Tumbr', 'pikoworks_custom_post' ), get_the_title() ); ?></span>
                    </a>                      
                    </li>
            </ul>
    <?php endif; ?>
        </div>


        </div>
        <div class="col-12 col-lg-6 hsc">
            <?php if (count($meta_values) > 0) : ?>
                <div class="portfolio-slider sip hsc mb25">
                    <div class="piko-carousel sh" data-slick='{"infinite": false,"slidesToScroll": 1}'>
                        <?php
                        $index = 0;
                        foreach ($meta_values as $image) :
                            $image_attributes = wp_get_attachment_image_src($image, 'full');
                            $img = '';
                            if (count($image_attributes) > 0) {
                                $resize = matthewruddy_image_resize($image_attributes[0], 1110, 1054);
                                if ($resize != null && is_array($resize))
                                    $img = $resize['url'];
                            }
                            ?>
                            <figure>
                                <?php
                                printf('<a href="%s"><img src="%s" srcset="%s" width="%s" height="%s" alt="%s" sizes="%s" /></a>', esc_url(get_the_permalink()), esc_url($img), wp_get_attachment_image_srcset($image), esc_attr($image_attributes[1]), esc_attr($image_attributes[2]), '', '100vw');

                                ?>
                            </figure>
                        <?php endforeach; ?>
                    </div>
                </div>
            <?php else :
            if (has_post_thumbnail()) : ?>
                    <figure class="mb30"><a href="<?php the_permalink(); ?>">
                            <?php the_post_thumbnail(); ?>
                        </a></figure>
                <?php endif;  ?>

            <?php endif; ?>
        </div>
        <?php if ($embaded != '') :
            echo '<div id="res_videos" class="col-12 mt30 mb5 max-width embed-responsive embed-responsive-16by9">' . $embaded . '</div>';
        endif; ?>
    </div>
</article>