<?php
/**
 * 
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="<?php echo esc_attr($single_class) ?>">
        <div class="portfolio-details mb25">
            <?php the_content() ?>
        </div><!-- End .portfolio-details -->
        <?php if (count($meta_values) > 0) : ?>
        <div class="row project_gallery gutters5 mt50">
            <?php
            $index = 0;
            foreach ($meta_values as $image) :
                $image_attributes = wp_get_attachment_image_src($image,'full');
                $img = '';
                if(count($image_attributes)>0){
                    $resize = matthewruddy_image_resize($image_attributes[0],360,470);
                    if($resize!=null && is_array($resize) )
                        $img = $resize['url'];
                }
                ?>
                <div class="col-6 col-md-4">
                <figure class="mb0">
                    <?php
                        printf('<a href="%s"><img src="%s" srcset="%s" width="%s" height="%s" alt="%s" /></a>', esc_url(get_the_permalink()), esc_url($img), wp_get_attachment_image_srcset($image), esc_attr($image_attributes[1]), esc_attr($image_attributes[2]),'');

                    ?>                                 
                </figure> 
                </div>
            <?php endforeach; ?>
        </div><!-- End .more-photos-continer -->

        <?php endif; ?>
        <?php if ($embaded != '') :
            echo '<div id="res_videos" class="col-12 mt30 mb5 max-width embed-responsive embed-responsive-16by9">' . $embaded . '</div>';
        endif; ?>

    </div>
</article> 