<?php
/**
 * @themepiko
 * @Tabs part
 */
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

$p_category = 'portfolio-category';
if (defined('PIKO_PORTFOLIO_CATEGORY_TAXONOMY') && taxonomy_exists(PIKO_PORTFOLIO_CATEGORY_TAXONOMY)) {
    $p_category = PIKO_PORTFOLIO_CATEGORY_TAXONOMY;
}
?>
<div class="<?php echo esc_attr($css_class . ' ' . $tabs_slide . ' ' . $list_class); ?>">
    
        <ul class="tabs piko-filter ul-no d_flex justify-content-<?php echo esc_attr($tabs_panels_align . ' panel-' . $panel_layout); ?> mb30 mb20-sm pr" data-tab-ids="<?php esc_attr_e($id); ?>">
            <?php if ($all != '' && $is_slider == 'no'): ?>
                <li>
                    <a class="db" href="javascript:void(0);">
                        <?php echo esc_attr($all); ?>
                    </a>
                </li>
            <?php endif; ?>

            <?php pikoworks_core_generate_tabs_panel($id, $tabs, $data_filter_dot); ?>
        </ul>
    
    
    <div class="cols-wrap portfolio_area">
        <ul class="items_container <?php echo esc_attr($data_class) ?>" <?php echo balanceTags($data_masonry) ?>> 
                <?php
                foreach ($tabs as $i => $tab):
                    $portfolio = pikoworks_single_tab_portfolio($tab, $term->term_id, $meta_query, $per_page, $atts);

                    $id_section_tab = 'tab-' . $id . '-' . $i;

                    $class_section_tab = "";
                    if ($i == 0) {
                        $class_section_tab = "active";
                    }
                    pikoworks_core_tab_part_portfolio($portfolio, $id_section_tab, $class_section_tab, $col_class, $slide_before, $slide_after, $tabs_type,  $column)
                    ?>

                <?php endforeach; ?>
        </ul><!-- End .portfolio -->
    </div><!-- End .portfolio -->
</div><!-- End tab-portfolio -->