<?php
/**
 * The template part for displaying content
 */
?>
<article class="<?php esc_attr_e($col_class); ?>">
    <div class="testimonial pr">
        <?php echo '<p>' . wp_trim_words(get_the_excerpt(), esc_attr($excerpt)) . '</p>'; ?>
        <figure>
            <?php
            if ($open_icon == 'yes') {
                echo '<span class="quote fa fa-quote-left"></span>';
            } else {
                the_post_thumbnail();
            }
            ?>
        </figure>        
    </div>
    <div class="owner-meta t_c mt50">
        <h4 class="f_s20"><?php the_title(); ?></h4>
        <span><?php echo esc_html($designation); ?></span>
        <span><?php echo $job; ?></span>
    </div>
</article>