<?php
/**
 * The template part for displaying content
 */
?>
<article class="testimonial_3 <?php esc_attr_e($col_class); ?>">
    <div class="testimonial">
        <span class="w100 t_c fa fa-quote-left"></span>
        <?php echo '<p>' . wp_trim_words(get_the_excerpt(), esc_attr($excerpt)) . '</p>'; ?>
        <div class="owner-meta t_c pa_center mt50">
            <h4 class="f_s20"><?php the_title(); ?></h4>
            <span><?php echo esc_html($designation); ?></span>
            <span><?php echo $job; ?></span>
        </div>
        <figure>
            <?php
            if ($open_icon == 'yes') {
                echo '<span class="quote fa fa-quote-left"></span>';
            } else {
                the_post_thumbnail();
            }
            ?>
        </figure>
    </div>
</article>