<?php

/* 
 * @author themepiko
 */
if(!function_exists('kable_dynamics_default_fonts')){
    function kable_dynamics_default_fonts() { 
        $default_font = '@font-face{font-family:limerick-regular;src:url('. KABLE_THEME_URI .'assets/fonts/limerick-regular-webfont.woff2) format("woff2"),url('. KABLE_THEME_URI .'assets/fonts/limerick-regular-webfont.woff) format("woff");font-weight:400;font-style:normal}';       
        return $default_font;
    }
}


if(!function_exists('kable_dynamics_style')){
    function kable_dynamics_style() {      
        
        $width_container = kable_get_option_data('container_width_custom', '1140');         
        //min width 1200px
        $custom_contanter_width = '.type-tab-3.s-item-0 .discount:before{content:"'.esc_attr__('SAVE', 'kable').'"}@media (min-width:1200px){.container{max-width:'.esc_attr($width_container).'px} }';
        
        $product_notify = kable_get_option_data('notify_postion', '');
        if(!empty($product_notify)){
            $product_notify = '#yith-wcwl-popup-message,.piko-notify .woocommerce-message,.piko-notify .woocommerce-error,.piko-notify .woocommerce-info{top:'.esc_attr($product_notify).'%}';
        }
        $dropdown_menu_border = kable_get_option_data('header_dropdown_menu_background_color', '');
        if(!empty($dropdown_menu_border)){
            $dropdown_menu_border = '.mega-menu .narrow .popup > .inner ul.sub-menu{border: inherit;margin-top:0}';
        }
        
        $color_skin = kable_get_option_data('color_skin', 'default');
        $custom_skin = kable_get_option_data('main_color_scheme', '');
        $custom_skin_bg_font = kable_get_option_data('main_color_scheme_bg_font', '#fff');
        $color = '';
        if($color_skin == 'red'){
            $color = '.product-label,.btn-details-action .countdown-row .countdown-amount,.btn-details-action .countdown-row .countdown-period,.product-wrap .countdown-row .countdown-period,.product-wrap .countdown-row  .countdown-amount,.widget_shopping_cart_content .buttons > a:hover,#yith-wcwl-popup-message strong, .piko-notify .woocommerce-error > li strong, .piko-notify .notify-text strong,.woocommerce-MyAccount-orders a.woocommerce-button:hover{color: #fff}#cookie-notice .bootstrap:not(.cn-more-info),#site-loading-slide .bar,#yith-wcwl-popup-message,.actions .coupon .button,.bgc_p,.btn-details-action .countdown-row .countdown-section,.product-wrap .countdown-row .countdown-section,.header-actions .badges,.header-actions .cart-items,.header-bottom,.header-layout-3 .site-header .header-3-bottom .social-page-icon a:hover,.header-layout-5 .site-header .header-main .header-right,.mega-menu .tip.hot,.meta-wrap .sticky-post,.piko-notify .woocommerce-error,.piko-notify .woocommerce-info,.piko-notify .woocommerce-message,.piko-show-account.logged-in .user-info span,.piko-spin4,.piko-spin5 .bounce1,.piko-spin5 .bounce2,.piko-stock .progress-bar,.pikobtn a,.pikobtn a.hover,.pikobtn a:not(.h_no):focus,.pikobtn a:not(.h_no):hover,.processing:before,.product-bottom .btn-action a.wc-forward,.product-details .added_to_cart.wc-forward,.product-label,.product-label.vendor:hover,.product:hover>.product-wrap .btn-action:not(.other) a,.products-list.row .product .product-wrap .product-top>a:hover,.round-1 .spinner,.scroll-top span,.search-form .header-search-form a.button,.search-form .header-search-form button,.select2-container--default .select2-results__option--highlighted[aria-selected],.slick-dots li.slick-active button:after,.slick-dots li.slick-active button:hover:after,.social-icons .fa-envelope,.tabs .tabs-title a:after,.widget_layered_nav li.chosen>a:before,.widget_layered_nav li>a:hover:before,.widget_shopping_cart_content .buttons>a.button+a.button,.widget_shopping_cart_content .buttons>button.button+a.button,.widget_shopping_cart_content .buttons>input.button+a.button,.woocommerce-checkout .woocommerce-form-login .button,a.button.hover,button:not(.h_no):not([class*=pswp_]):not([class*=mfp-]):hover,input[type=submit]:hover,mark,.woocommerce-MyAccount-orders a.woocommerce-button:hover{background-color:#ec7a5c}.tparrows:focus,.tparrows:hover{background-color:#ec7a5c!important}.c_p,.comment-reply-title small a,.entry-footer .entry-cat a:hover,.header-boxes-container i,.header-layout-5 .site-header .header-top a:focus,.header-layout-5 .site-header .header-top a:hover,.header-main .info .info-media,.header-top a:hover,.latest-post .latest-text a:hover,.logged-in-as a:hover,.mega-menu .narrow .popup li.menu-item.current-menu-item>a,.mega-menu .narrow .popup li.menu-item.current-menu-item>h5,.mega-menu .tip.hot .tip-arrow:before,.mega-menu .wide .popup li.menu-item.current-menu-item>a,.mega-menu .wide .popup li.menu-item.current-menu-item>h5,.mega-menu .wide .popup>.inner>ul.sub-menu>li.menu-item li.menu-item.current-menu-item>a,.mega-menu .wide .popup>.inner>ul.sub-menu>li.menu-item li.menu-item.current-menu-item>h5,.meta-wrap a:hover,.mobile-main-menu li.menu-item.current-menu-item>a,.p_list:not(.type-tab-3) .price:not(td),.piko-dropdown.user-menu a:hover,.piko-newsletter.layout-1 .submit-icon:before,.piko-newsletter.layout-1 input[type=submit]:hover,.piko-video.light .pa_center,.primary_color,.product-details .product_meta a:hover,.product-middle .product-brand a:hover,.product-slide .button:hover,.product-slide .wc-forward:hover,.product-type-grouped .group_table a:not(.button):hover,.store-directory li:hover:after,.testimonial_6 .owner-meta p span,.thumb_action .btn-ac,.thumb_action .btn-ac i,.thumb_action .wc-forward,.thumb_action .wc-forward i,.widget ul li a:hover,.widget ul.product_list_widget li a:hover span.product-title,.woocommerce-MyAccount-navigation ul li.is-active a,.woocommerce-MyAccount-navigation ul li:hover a,.woocommerce-info:before,.woocommerce-product-gallery.piko-lightbox-img a:not(.piko-embed):before,.woocommerce-toolbar .sort-by-wrapper .sort-by-content ul li a:hover,a:active,a:hover,li.menu-item.sub-menu-color-white li.menu-item>a:hover,li.menu-item.sub-menu-color-white li.menu-item>h5:hover{color:#ec7a5c}#cookie-notice .bootstrap.cn-more-info:hover,#cookie-notice .bootstrap:not(.cn-more-info),.header-layout-3 .site-header .header-3-bottom .social-page-icon a:hover,.header-layout-3 .site-header .header-3-bottom .tagcloud a:hover,.header-search-form select,.pikobtn a.hover,.pikobtn a:not(.h_no):focus,.pikobtn a:not(.h_no):hover,.product-details .added_to_cart.wc-forward,.products-list.row .product .product-wrap .product-top>a:hover,.search-form .header-search-form input[type=text],.type-tab-3.s-item-0,.widget_layered_nav li.chosen>a:before,.widget_layered_nav li>a:hover:before,.woocommerce-checkout .woocommerce-form-login .button,a.button.hover,button:not(.h_no):not([class*=pswp_]):not([class*=mfp-]):hover,div.wpcf7-aborted,div.wpcf7-mail-sent-ng,div.wpcf7-mail-sent-ok,input[type=submit]:hover{border-color:#ec7a5c}.tparrows:focus,.tparrows:hover{border-color:#ec7a5c!important}.be_border,.tab-vertical .tabs li a.active,.tab-vertical .tabs li a:hover,.various-7 .spinner,.various-8 .spinner{border-left-color:#ec7a5c}blockquote,q{border-left-color:#ec7a5c!important}.various-7 .spinner{border-right-color:#ec7a5c}.piko-spin6,.piko-spin6:after,.piko-spin6:before,.various-8 .spinner{border-top-color:#ec7a5c}.slick-thumb img.slick-current,.slick-thumb.bttom .slick-list .slick-current,.wc-backward,.woocommerce-product-gallery .piko-nav .slick-current img,read_more.hover{border-bottom-color:#ec7a5c}.wpb-js-composer .vc_tta-color-grey.vc_tta-style-classic .vc_tta-tab.vc_active>a{border-bottom-color:#ec7a5c!important}.button-effect{background:linear-gradient(to right,#22222b 50%,#ec7a5c 50%)}.button-effect-white{background:linear-gradient(to right,#ec7a5c 50%,#fff 50%)}.button-effect-black{background:linear-gradient(to right,#ec7a5c 50%,#22222b 50%)}@media (min-width:992px){.header-layout-5 .site-header .header-main .header-left{border-bottom-color:#ec7a5c}}@media (max-width:576px){.search-form .header-search-form input[type=text]{border-color:#ec7a5c}}';
                    
        }elseif ($color_skin == 'skin_custom' && !empty($custom_skin)) {
            $color = '#cookie-notice .bootstrap:not(.cn-more-info),#site-loading-slide .bar,#yith-wcwl-popup-message,.actions .coupon .button,.bgc_p,.btn-details-action .countdown-row .countdown-section,.header-actions .badges,.header-actions .cart-items,.header-bottom,.header-layout-3 .site-header .header-3-bottom .social-page-icon a:hover,.header-layout-5 .site-header .header-main .header-right,.mega-menu .tip.hot,.meta-wrap .sticky-post,.piko-notify .woocommerce-error,.piko-notify .woocommerce-info,.piko-notify .woocommerce-message,.piko-show-account.logged-in .user-info span,.piko-spin4,.piko-spin5 .bounce1,.piko-spin5 .bounce2,.piko-stock .progress-bar,.pikobtn a,.pikobtn a.hover,.pikobtn a:not(.h_no):focus,.pikobtn a:not(.h_no):hover,.processing:before,.product-bottom .btn-action a.wc-forward,.product-details .added_to_cart.wc-forward,.product-label,.product-label.vendor:hover,.product-wrap .countdown-row .countdown-section,.product:hover>.product-wrap .btn-action:not(.other) a,.products-list.row .product .product-wrap .product-top>a:hover,.round-1 .spinner,.scroll-top span,.search-form .header-search-form a.button,.search-form .header-search-form button,.select2-container--default .select2-results__option--highlighted[aria-selected],.slick-dots li.slick-active button:after,.slick-dots li.slick-active button:hover:after,.social-icons .fa-envelope,.tabs .tabs-title a:after,.widget_layered_nav li.chosen>a:before,.widget_layered_nav li>a:hover:before,.widget_shopping_cart_content .buttons>a.button+a.button,.widget_shopping_cart_content .buttons>button.button+a.button,.widget_shopping_cart_content .buttons>input.button+a.button,.woocommerce-checkout .woocommerce-form-login .button,a.button.hover,button:not(.h_no):not([class*=pswp_]):not([class*=mfp-]):hover,input[type=submit]:hover,mark,.woocommerce-MyAccount-orders a.woocommerce-button:hover{background-color:'.esc_attr($custom_skin).'}.tparrows:focus,.tparrows:hover{background-color:'.esc_attr($custom_skin).'!important}.c_p,.comment-reply-title small a,.entry-footer .entry-cat a:hover,.header-boxes-container i,.header-layout-5 .site-header .header-top a:focus,.header-layout-5 .site-header .header-top a:hover,.header-main .info .info-media,.header-top a:hover,.latest-post .latest-text a:hover,.logged-in-as a:hover,.mega-menu .narrow .popup li.menu-item.current-menu-item>a,.mega-menu .narrow .popup li.menu-item.current-menu-item>h5,.mega-menu .tip.hot .tip-arrow:before,.mega-menu .wide .popup li.menu-item.current-menu-item>a,.mega-menu .wide .popup li.menu-item.current-menu-item>h5,.mega-menu .wide .popup>.inner>ul.sub-menu>li.menu-item li.menu-item.current-menu-item>a,.mega-menu .wide .popup>.inner>ul.sub-menu>li.menu-item li.menu-item.current-menu-item>h5,.meta-wrap a:hover,.mobile-main-menu li.menu-item.current-menu-item>a,.p_list:not(.type-tab-3) .price:not(td),.piko-dropdown.user-menu a:hover,.piko-newsletter.layout-1 .submit-icon:before,.piko-newsletter.layout-1 input[type=submit]:hover,.piko-video.light .pa_center,.primary_color,.product-details .product_meta a:hover,.product-middle .product-brand a:hover,.product-slide .button:hover,.product-slide .wc-forward:hover,.product-type-grouped .group_table a:not(.button):hover,.store-directory li:hover:after,.testimonial_6 .owner-meta p span,.thumb_action .btn-ac,.thumb_action .btn-ac i,.thumb_action .wc-forward,.thumb_action .wc-forward i,.widget ul li a:hover,.widget ul.product_list_widget li a:hover span.product-title,.woocommerce-MyAccount-navigation ul li.is-active a,.woocommerce-MyAccount-navigation ul li:hover a,.woocommerce-info:before,.woocommerce-product-gallery.piko-lightbox-img a:not(.piko-embed):before,.woocommerce-toolbar .sort-by-wrapper .sort-by-content ul li a:hover,a:active,a:hover,li.menu-item.sub-menu-color-white li.menu-item>a:hover,li.menu-item.sub-menu-color-white li.menu-item>h5:hover{color:'.esc_attr($custom_skin).'}#cookie-notice .bootstrap.cn-more-info:hover,#cookie-notice .bootstrap:not(.cn-more-info),.header-layout-3 .site-header .header-3-bottom .social-page-icon a:hover,.header-layout-3 .site-header .header-3-bottom .tagcloud a:hover,.header-search-form select,.pikobtn a.hover,.pikobtn a:not(.h_no):focus,.pikobtn a:not(.h_no):hover,.product-details .added_to_cart.wc-forward,.products-list.row .product .product-wrap .product-top>a:hover,.search-form .header-search-form input[type=text],.type-tab-3.s-item-0,.widget_layered_nav li.chosen>a:before,.widget_layered_nav li>a:hover:before,.woocommerce-checkout .woocommerce-form-login .button,a.button.hover,button:not(.h_no):not([class*=pswp_]):not([class*=mfp-]):hover,div.wpcf7-aborted,div.wpcf7-mail-sent-ng,div.wpcf7-mail-sent-ok,input[type=submit]:hover{border-color:'.esc_attr($custom_skin).'}.tparrows:focus,.tparrows:hover{border-color:'.esc_attr($custom_skin).'!important}.be_border,.tab-vertical .tabs li a.active,.tab-vertical .tabs li a:hover,.various-7 .spinner,.various-8 .spinner{border-left-color:'.esc_attr($custom_skin).'}blockquote,q{border-left-color:'.esc_attr($custom_skin).'!important}.various-7 .spinner{border-right-color:'.esc_attr($custom_skin).'}.piko-spin6,.piko-spin6:after,.piko-spin6:before,.various-8 .spinner{border-top-color:'.esc_attr($custom_skin).'}.slick-thumb img.slick-current,.slick-thumb.bttom .slick-list .slick-current,.wc-backward,.woocommerce-product-gallery .piko-nav .slick-current img,read_more.hover{border-bottom-color:'.esc_attr($custom_skin).'}.wpb-js-composer .vc_tta-color-grey.vc_tta-style-classic .vc_tta-tab.vc_active>a{border-bottom-color:'.esc_attr($custom_skin).'!important}.button-effect{background:linear-gradient(to right,#22222b 50%,'.esc_attr($custom_skin).' 50%)}.button-effect-white{background:linear-gradient(to right,'.esc_attr($custom_skin).' 50%,#fff 50%)}.button-effect-black{background:linear-gradient(to right,'.esc_attr($custom_skin).' 50%,#22222b 50%)}@media (min-width:992px){.header-layout-5 .site-header .header-main .header-left{border-bottom-color:'.esc_attr($custom_skin).'}}@media (max-width:576px){.search-form .header-search-form input[type=text]{border-color:'.esc_attr($custom_skin).'}}.btn-details-action .countdown-row .countdown-amount,.btn-details-action .countdown-row .countdown-period,.header-actions .badges,.header-actions .cart-items,.product-label,.product-wrap .countdown-row .countdown-amount,.product-wrap .countdown-row .countdown-period,.widget_shopping_cart_content .buttons > a:hover,#yith-wcwl-popup-message strong, .piko-notify .woocommerce-error > li strong, .piko-notify .notify-text strong,.woocommerce-MyAccount-orders a.woocommerce-button:hover{color:'.esc_attr($custom_skin_bg_font).'}';
        }
        
        
        //preloader #bg color template part
        $preloader_spinner = kable_get_option_data('home_preloader_spinner_color', '');
         if(!empty($preloader_spinner)){
            $preloader_spinner = '.piko-spin6,.piko-spin6:before,.piko-spin6:after{border-top-color:'.esc_attr($preloader_spinner).'}#site-loading-slide .bar{background-color:'.esc_attr($preloader_spinner).'}';
        }
        
        $css_dynamics = $product_notify.$custom_contanter_width.$color.$preloader_spinner.$dropdown_menu_border;

        return $css_dynamics;
    }
}

if(!function_exists('kable_rtl_add_js')){ // when rtl mode
    function kable_rtl_add_js() {        
        $rtl_add_js = '!function(t){"use strict";t(document).ready(function(){var a=t("body,html").hasClass("rtl");a&&(window.vc_rowBehaviour=function(){var t=window.jQuery,o=function(){var o=t(\'[data-vc-full-width="true"]\');t.each(o,function(){var o=t(this),r=o.next(".vc_row-full-width"),i=t("#page"),e=parseInt(o.css("margin-left"),10),l=parseInt(o.css("margin-right"),10),n=0-r.offset().left-e+i.offset().left,d=i.width();if(a?o.css({position:"relative",right:n,"box-sizing":"border-box",width:i.width()}):o.css({position:"relative",left:n,"box-sizing":"border-box",width:i.width()}),!o.data("vcStretchContent")){var c=-1*n;0>c&&(c=0);var s=d-c-r.width()+e+l;0>s&&(s=0),o.css({"padding-left":c+"px","padding-right":s+"px"})}o.attr("data-vc-full-width-init","true")})},r=function(){var a,o=!1;return vcParallaxSkroll&&vcParallaxSkroll.destroy(),t(".vc_parallax-inner").remove(),t("[data-5p-top-bottom]").removeAttr("data-5p-top-bottom data-30p-top-bottom"),t("[data-vc-parallax]").each(function(){var a,r,i,e,l,n;o=!0,"on"==t(this).data("vcParallaxOFade")&&t(this).children().attr("data-5p-top-bottom","opacity:0;").attr("data-30p-top-bottom","opacity:1;"),r=100*t(this).data("vcParallax"),l=t("<div />").addClass("vc_parallax-inner").appendTo(t(this)),l.height(r+"%"),n=t(this).data("vcParallaxImage"),void 0!==n&&l.css("background-image","url("+n+")"),a=r-100,i=-a,e=0,l.attr("data-bottom-top","top: "+i+"%;").attr("data-top-bottom","top: "+e+"%;")}),o&&window.skrollr?(a={forceHeight:!1,smoothScrolling:!1,mobileCheck:function(){return!1}},vcParallaxSkroll=skrollr.init(a),vcParallaxSkroll):!1};t(window).unbind("resize.vcRowBehaviour").bind("resize.vcRowBehaviour",o),o(),r()})})}(jQuery);';

        return $rtl_add_js;
    }
}
if(!function_exists('kable_nprogress_js')){ // np progress html
    function kable_nprogress_js() {        
        $nprogress_add_js = "NProgress.configure({template: '<div class=\"bar\" role=\"bar\"></div>',showSpinner: false,parent: '#site-loading-slide',easing: 'ease',minimum: 0.3,speed: 500,});NProgress.start();";

        return $nprogress_add_js;
    }
}