<?php
/**
 * The template part for displaying content
 */

$size = 'full';
if (isset($GLOBALS['kable_archive_loop']['image-size'])) {
    $size = $GLOBALS['kable_archive_loop']['image-size'];
}
$archive_title_position = isset( $GLOBALS['kable']['optn_archive_title_position'] ) ? trim( $GLOBALS['kable']['optn_archive_title_position'] ) : 'image-bottom';
$charlength = isset( $GLOBALS['kable']['optn_archive_except_word'] ) ? trim( $GLOBALS['kable']['optn_archive_except_word'] ) : '55';
?>


<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>         
    <?php
    $thumbnail = kable_post_format($size);
    if (!empty($thumbnail)) : ?>
        <figure class="entry-media">
            <?php echo wp_kses_post($thumbnail); ?>
        </figure>
    <?php endif; ?> 
    <?php kable_entry_header();?>
    <div class="entry-excerpt mb40">                
        <?php
            /* translators: %s: Name of current post */                  

            echo '<p>'. kable_trim_word($charlength). '</p>';

            wp_link_pages( array(
                    'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'kable' ) . '</span>',
                    'after'       => '</div>',
                    'link_before' => '<span>',
                    'link_after'  => '</span>',
                    'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'kable' ) . ' </span>%',
                    'separator'   => '<span class="screen-reader-text">, </span>',
            ) );
        ?>
        <?php echo kable_read_more_link(); ?>
    </div>
</article>