<?php
/**
 * The template used for displaying page content
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="entry-content clearfix">
            <?php
            the_content();

            wp_link_pages( array(
                    'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'kable' ) . '</span>',
                    'after'       => '</div>',
                    'link_before' => '<span>',
                    'link_after'  => '</span>',
                    'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'kable' ) . ' </span>%',
                    'separator'   => '<span class="screen-reader-text">, </span>',
            ) );
            ?>
    </div><!-- .entry-content -->
</article><!-- #post-## -->
