<?php
/**
 * The template part for displaying single posts
 *
 */
$size = 'full';
if (isset($GLOBALS['kable_archive_loop']['image-size'])) {
    $size = $GLOBALS['kable_archive_loop']['image-size'];
}
$related_post = isset( $GLOBALS['kable']['optn_blog_single_related_post'] ) ? $GLOBALS['kable']['optn_blog_single_related_post'] : 0;

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>	
         <?php
    $thumbnail = kable_post_format($size);
    if (!empty($thumbnail)) : ?>
        <figure class="entry-thumbnail-wrap entry-media hsc">
            <?php echo wp_kses_post($thumbnail); ?>
        </figure>
    <?php endif; ?> 
    <?php
        kable_default_entry_header_meta_bottom();
    ?>
	<div class="entry-content clearfix">
            <?php 
            the_content();
            
            wp_link_pages( array(
                            'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'kable' ) . '</span>',
                            'after'       => '</div>',
                            'link_before' => '<span>',
                            'link_after'  => '</span>',
                            'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'kable' ) . ' </span>%',
                            'separator'   => '<span class="screen-reader-text">, </span>',
                    ) );
            
            ?>
	</div><!-- .entry-content -->
	<footer class="entry-footer">
        <div class=" row no-gutters align-items-center">
            <?php kable_entry_footer(); ?>
        </div>
         <?php kable_prev_next_link(); ?>         
    </footer><!-- .entry-footer -->
        
        <?php
        if ( '' !== get_the_author_meta( 'description' ) ) {
                        get_template_part( 'template-parts/biography' );
            }  
        ?>        
        
</article><!-- #post-## -->

<?php
    if($related_post == 1){
        get_template_part( 'template-parts/content-related');
     }   
?>  
