<?php
/**
 * The template part for displaying content
 */

$size = 'kable-image-sidebar';
if (isset($GLOBALS['kable_archive_loop']['image-size'])) {
    $size = $GLOBALS['kable_archive_loop']['image-size'];
}
$charlength = isset($GLOBALS['kable']['optn_archive_except_word']) ? trim($GLOBALS['kable']['optn_archive_except_word']) : '55';

?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <?php
    $thumbnail = kable_post_format($size);
    if (!empty($thumbnail)) : ?>
        <figure class="entry-media">
            <?php the_post_thumbnail(); ?>
        </figure>
    <?php endif; ?>
    <div class="entry-summary">
        <?php
        kable_entry_header();
        kable_default_entry_header_meta_bottom();
        ?>
        <div class="entry-excerpt">
            <p><?php kable_trim_word($charlength); ?></p>
            <?php
            wp_link_pages(array(
                'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__('Pages:', 'kable') . '</span>',
                'after'       => '</div>',
                'link_before' => '<span>',
                'link_after'  => '</span>',
                'pagelink'    => '<span class="screen-reader-text">' . esc_html__('Page', 'kable') . ' </span>%',
                'separator'   => '<span class="screen-reader-text">, </span>',
            ));
            ?>
            <?php echo '<div class="d_flex justify-content-center">' . kable_read_more_link() . '</div>'; ?>
        </div>
    </div>

</article>