<?php
/**
 * Template part for displaying header layout.
 * 
 * @author themepiko
 */
$prefix = 'kable_';
$menu_width =  get_post_meta(get_the_ID(), $prefix . 'manu_width',true);
if (!isset($menu_width) || $menu_width == '-1' || $menu_width == '') {
    $menu_width = isset( $GLOBALS['kable']['full_width_menu'] ) ? $GLOBALS['kable']['full_width_menu'] : 'container-fluid';
}
$topbar =  get_post_meta(get_the_ID(), $prefix . 'enable_top_bar',true);
if (!isset($topbar) || $topbar == '-1' || $topbar == 0) {
   $topbar = kable_get_option_data('enable_top_bar', false); 
}
?>
<header id="header" class="site-header">
        <?php if($topbar){ kable_get_topbar(); } ?>
        <div class="header-main">
            <div class="<?php echo esc_attr($menu_width); ?>">
                <div class="d_flex align-items-center columns">
                    <?php kable_get_brand_logo(); ?>
                    <?php kable_get_main_menu();?>
                    <div class="header-actions">
                       <?php kable_get_header_action();?> 
                    </div>                                     
                </div>
            </div>
        </div>
</header>