<?php
$enable_filter = kable_get_option_data('products_toggle', false);
$col_calss = 'col-12';


if($enable_filter == true){
    add_action('kable_woocommerce_toolbar_left', 'kable_product_filter_data', 1);
}else{
    add_action('kable_woocommerce_toolbar_left', 'woocommerce_catalog_ordering', 1);
}
?>



<div class="woocommerce-toolbar">
    <div class="woocommerce-toolbar-inner">
        <div class="row">
            <?php
            if ($enable_filter == true || ! class_exists('YITH_WCAN') ):
                $col_calss = 'col-7';
                ?>
                <div class="col-5">
                    <?php
                    do_action('kable_woocommerce_toolbar_left');
                    ?>
                </div>
                <?php endif; ?>
            <div class="<?php echo esc_attr($col_calss) ?> d_flex flex-row-reverse align-items-center">
                <?php
                /**
                 * @hooked open wrapper " toolbar-left " - 10
                 * @hooked kable_woocommerce_add_toolbar_per_page - 20
                 * @hooked woocommerce_catalog_ordering - 30
                 * @hooked kable_woocommerce_add_toolbar_position - 40
                 * @hooked kable_woocommerce_add_gridlist_toggle_button - 50
                 * @hooked end wrapper " toolbar-left " - 60
                 * @hooked open wrapper " toolbar-right " - 70
                 * @hooked kablen_woocommerce_add_filter_attribute_on_toolbar - 80
                 * @hooked woocommerce_result_count - 99
                 * @hooked end wrapper " toolbar-right " - 100
                 */
                do_action('kable_woocommerce_toolbar');
                ?>
            </div>
        </div>
    </div>
    <div class="filter-sidebar" style="display: none">
        <div class="row">
            <?php
            /**
             * @hooked fiter widets
             */
            do_action('kable_woocommerce_toolbar_after');
            ?>
        </div>
    </div>
</div>