<?php
/**
 * The template part for displaying content
 */
?>
<article class="testimonial pr <?php esc_attr_e($col_class); ?>">
    <div class="owner-meta">
        <?php echo '<p class="mb25"><span class="fa fa-quote-left"></span> ' . wp_trim_words(get_the_excerpt(), esc_attr($excerpt)) . '</p>'; ?>
        <div class="d_flex align-items-center">
            <div class="br50 o_h"><?php the_post_thumbnail(array(50, 50)); ?></div>
            <div>
                <h4 class="f_s20 ml25"><?php the_title(); ?></h4>
                <span class="ml25 f_s14"><?php echo esc_html($designation); ?></span>
                <span><?php echo $job; ?></span>
            </div>
        </div>
    </div>
</article>


